#
# spec file for package kdelibs4support
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5KDELibs4Support5
%define _tar_path 5.26
Name:           kdelibs4support
Version:        5.26.0
Release:        1.5
%define kf5_version %{version}
BuildRequires:  NetworkManager-devel
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kbookmarks-devel >= %{_tar_path}
BuildRequires:  kcompletion-devel >= %{_tar_path}
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kconfigwidgets-devel >= %{_tar_path}
BuildRequires:  kcrash-devel >= %{_tar_path}
BuildRequires:  kdbusaddons-devel >= %{_tar_path}
BuildRequires:  kded-devel >= %{_tar_path}
BuildRequires:  kdesignerplugin-devel >= %{_tar_path}
BuildRequires:  kdoctools-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel >= %{_tar_path}
BuildRequires:  kguiaddons-devel >= %{_tar_path}
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kiconthemes-devel >= %{_tar_path}
BuildRequires:  kio-devel >= %{_tar_path}
BuildRequires:  kitemviews-devel >= %{_tar_path}
BuildRequires:  knotifications-devel >= %{_tar_path}
BuildRequires:  kparts-devel >= %{_tar_path}
BuildRequires:  kservice-devel >= %{_tar_path}
BuildRequires:  ktextwidgets-devel >= %{_tar_path}
BuildRequires:  kunitconversion-devel >= %{_tar_path}
BuildRequires:  kwidgetsaddons-devel >= %{_tar_path}
BuildRequires:  kwindowsystem-devel >= %{_tar_path}
BuildRequires:  kxmlgui-devel >= %{_tar_path}
BuildRequires:  perl-URI
BuildRequires:  cmake(Qt5Concurrent) >= 5.5.0
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Designer) >= 5.5.0
BuildRequires:  cmake(Qt5Network) >= 5.5.0
BuildRequires:  cmake(Qt5PrintSupport) >= 5.5.0
BuildRequires:  cmake(Qt5Svg) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.5.0
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
%if %{with lang}
Recommends:     %{name}-lang = %{version}
%endif
Provides:       kde4support = %{version}
Obsoletes:      kde4support < %{version}
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/portingAids/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch -- We can enable usage of setFallbackSessionManagementEnabled function
# with Qt 5.5.1, as we have the qtbase patch backported. For now only apppy patch on 42.1 Leap, as TW doesn't have that patch yet -- #354724, boo#955280
Patch0:         use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly.

%package -n kssl
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        GPL-2.0+
Group:          System/GUI/KDE

%description -n kssl
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly.

%package -n %lname
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        LGPL-2.1+
Group:          System/GUI/KDE
Requires:       kded >= %{_tar_path}

%description -n %lname
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly.

%package devel
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       %{name} = %{version}
Provides:       kde4support-devel = %{version}
Obsoletes:      kde4support-devel < %{version}
Requires:       extra-cmake-modules
Requires:       karchive-devel >= %{_tar_path}
Requires:       kauth-devel >= %{_tar_path}
Requires:       kconfigwidgets-devel >= %{_tar_path}
Requires:       kcoreaddons-devel >= %{_tar_path}
Requires:       kcrash-devel >= %{_tar_path}
Requires:       kdbusaddons-devel >= %{_tar_path}
Requires:       kdesignerplugin-devel >= %{_tar_path}
Requires:       kdoctools-devel >= %{_tar_path}
Requires:       kemoticons-devel >= %{_tar_path}
Requires:       kguiaddons-devel >= %{_tar_path}
Requires:       kiconthemes-devel >= %{_tar_path}
Requires:       kinit-devel >= %{_tar_path}
Requires:       kitemmodels-devel >= %{_tar_path}
Requires:       knotifications-devel >= %{_tar_path}
Requires:       kparts-devel >= %{_tar_path}
Requires:       ktextwidgets-devel >= %{_tar_path}
Requires:       kunitconversion-devel >= %{_tar_path}
Requires:       kwindowsystem-devel >= %{_tar_path}
Requires:       cmake(Qt5Core) >= 5.5.0
Requires:       cmake(Qt5DBus) >= 5.5.0
Requires:       cmake(Qt5PrintSupport) >= 5.5.0
Requires:       cmake(Qt5Xml) >= 5.5.0

%description devel
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly. Development files.

%lang_package
%prep
%setup -q
%if 0%{?is_opensuse} || 0%{?suse_version} > 1315
%patch0 -p1
%endif

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files lang -f %{name}.lang
%doc %lang(ca) %{_kf5_mandir}/ca
%doc %lang(de) %{_kf5_mandir}/de
%doc %lang(it) %{_kf5_mandir}/it
%doc %lang(nl) %{_kf5_mandir}/nl
%doc %lang(pt_BR) %{_kf5_mandir}/pt_BR
%doc %lang(sv) %{_kf5_mandir}/sv
%doc %lang(uk) %{_kf5_mandir}/uk
%doc %lang(ca) %{_kf5_htmldir}/ca
%doc %lang(de) %{_kf5_htmldir}/de
%doc %lang(it) %{_kf5_htmldir}/it
%doc %lang(nl) %{_kf5_htmldir}/nl
%doc %lang(pt_BR) %{_kf5_htmldir}/pt_BR
%doc %lang(sr) %{_kf5_htmldir}/sr
%doc %lang(sr@latin) %{_kf5_htmldir}/sr@latin
%doc %lang(sv) %{_kf5_htmldir}/sv
%doc %lang(uk) %{_kf5_htmldir}/uk
%endif

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_bindir}/kdebugdialog5
%{_kf5_bindir}/kf5-config
%{_kf5_configdir}/colors/
%{_kf5_configdir}/kdebug.areas
%{_kf5_configdir}/kdebugrc
%{_kf5_libexecdir}/filesharelist
%{_kf5_libexecdir}/fileshareset
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
# within kssl package
%exclude %{_kf5_plugindir}/kcm_ssl.so
%exclude %{_kf5_servicesdir}/kcm_ssl.desktop
%{_kf5_servicetypesdir}/
%{_kf5_datadir}/kdoctools/
%{_kf5_datadir}/widgets/
%{_kf5_sharedir}/locale/kf5_all_languages
%{_kf5_datadir}/locale/
%doc %lang(en) %{_kf5_mandir}/*/kf5-config.*
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %lang(en) %{_kf5_htmldir}/en/*/

%files -n kssl
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_configdir}/ksslcalist
%{_kf5_plugindir}/kcm_ssl.so
%{_kf5_servicesdir}/kcm_ssl.desktop
%{_kf5_datadir}/kssl/

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5KDELibs4Support.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5KDELibs4Support.so
%{_kf5_libdir}/cmake/KF5KDELibs4Support/
%{_kf5_libdir}/cmake/KF5KDE4Support/
%{_kf5_libdir}/cmake/KDELibs4/
%{_kf5_includedir}/kdelibs4support_version.h
%{_kf5_includedir}/KDELibs4Support/
%dir %{_kf5_includedir}/KDELibs4Support/
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.freedesktop.PowerManagement.Inhibit.xml
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.freedesktop.PowerManagement.xml
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.kde.Solid.Networking.Client.xml
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Fix Windows compilation error in kstyle.h
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Remove KDETranslator class, there's no kdeqt.po anymore
  * Document the replacement for use12Clock()
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Warn about KDateTimeParser::parseDateUnicode not being implemented
  * K4TimeZoneWidget: correct path for flag images
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Provide a fallback MAXPATHLEN if not defined
  * Fix KDateTime::isValid() for ClockTime values (kde#336738)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Wed Apr  6 2016 alarrosa@suse.com
- Don't apply use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
  in SLE12 since Qt 5.5.1 in SLE12 is not patched to support the new
  session management API from 5.6.0 .
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Fix obsolete link in kdebugdialog5 docbook
  * Don't leak Qt5::Network as required lib for the rest of
    the ConfigureChecks
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Fix session management for KApplication based applications
    (kde#354724, boo#955280)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
- Drop upstreamed fix-session-saving.patch
* Fri Feb 26 2016 wbauer@tmo.at
- Enable use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
  unconditionally, the updated libqt5-qtbase is in Tumbleweed now
* Mon Feb 22 2016 hrvoje.senjan@gmail.com
- Add and enable use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
  on 42.1 Leap only, for now (kde#354724, boo#955280)
* Wed Feb 17 2016 hrvoje.senjan@gmail.com
- Added fix-session-saving.patch (kde#354724, boo#955280)
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * kdelibs4support requires kded (for kdedmodule.desktop)
  * Fix CMP0064 warning by setting policy CMP0054 to NEW
  * Don't export symbols that also exist in KWidgetsAddons
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Fix some i18n calls.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Don't try to store a QDateTime in mmap'ed memory
  * Sync and adopt uriencode.cmake from kdoctools.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Call newInstance from the child on first invocation
  * Use kdewin defines.
  * Don't try to find X11 on WIN32
  * cmake: Fix taglib version check in FindTaglib.cmake.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Port solid-networkstatus kded plugin to json metadata
  * KPixmapCache: create dir if it doesn't exist
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * kconfig_compiler_kf5 moved to libexec, use kreadconfig5 instead
    for the findExe test
  * Document the (suboptimal) replacements for
    KApplication::disableSessionManagement
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Fix KMimeType::Ptr::isNull implementation.
  * Reenable support for KDateTime streaming to kDebug/qDebug,
    for more SC
  * Load correct translation catalog for kdebugdialog
  * Don't skip documenting deprecated methods, so that people can
    read the porting hints
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Use QTemporaryFile instead of hardcoding a temporary file.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sun Apr 19 2015 hrvoje.senjan@gmail.com
- Add Requires on kded, which is a runtime requirement (needed for
  Applications used outside Plasma 5, as it is not pulled in by
  other packages in that case)
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Mon Mar 16 2015 hrvoje.senjan@gmail.com
- Add explicit kdbusaddons-devel and karchive-devel to
  devel package requires
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
- Added perl-URI buildrequires
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * Add Lithuania to the list of Euro countries
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
- Added NetworkManager-devel BuildRequires in order to build
  deprecated Solid's networkstatus kded module (for software that
  didn't migrate to QNetworkConfigurationManager)
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
- Rename to kdelibs4support, per upstream change
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
- Added 0001-Remove-unused-dependencies.patch from upstream
- Drop kbookmarks-devel, kdbusaddons-devel and kitemviews-devel
  BuildRequires as per added patch
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kde4support package
